buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Boisvert <alex.boisv...@gmail.com>
Subject Re: Getting buildr to create an IDEA project file fails on a Scala dependency
Date Tue, 22 Sep 2009 19:42:13 GMT
Are you sure this is correct?

SCALA         = group('scala-library', 'scala-compiler', 'axiom-dom',
:under=>'org.scala-lang', :version=>'2.7.5')

axiom-dom above seems out of place.

alex

On Tue, Sep 22, 2009 at 1:08 AM, Ijonas Kisselbach <
ijonas.kisselbach@gmail.com> wrote:

> Hi,
>
> I've got a Buildr-based project that runs perfectly and happily packages up
> my WAR file, that happily deploys to JBoss. When I try and execute
>
> buildr idea
>
> it fails on trying to org.scala-lang:axiom-dom:jar:2.7.5 artifact
> dependency. I've hunted high and low for this artifact on the usual servers
> and repos but I can't even find a reference to it. Even a standard "google"
> returns nothing.
>
> Does anyone else have this problem ? Or know how to rectify it ? buildr
> eclipse fails too....
>
> I've posted my buildfile at the bottom of this email.
>
> Thanks,
> Ijonas
>
>
> require 'buildr'
> require 'buildr/scala'
> require 'rubygems'
> require 'warbler'
>
> # define the version of the Vamosa product
> VERSION_NUMBER = '3.0.0'
>
> # define repositories from which artifacts can be downloaded
> repositories.remote << 'http://www.ibiblio.org/maven2/'
> repositories.remote << 'http://scala-tools.org/repo-releases'
>
> # define artifacts that are not available from remote repositories
> artifact("javax.jms:jms:jar:1.1").from(file("libs/javax.jms.jar"))
>
> # define the artifacts that the project depends on
> SCALA         = group('scala-library', 'scala-compiler', 'axiom-dom',
> :under=>'org.scala-lang', :version=>'2.7.5')
> SCALATEST     = [
> 'org.scala-tools.testing:specs:jar:1.5.0','org.scalatest:scalatest:jar:0.9.5']
> XUNIT         = ["junit:junit:jar:4.4", "org.dbunit:dbunit:jar:2.2.3",
> "org.mockito:mockito-all:jar:1.7" ]
> JDBC_DRIVERS  = ["mysql:mysql-connector-java:jar:5.1.6"]
> HIBERNATE     = [ "org.hibernate:hibernate-core:jar:3.3.2.GA",
>  "org.hibernate:hibernate-annotations:jar:3.4.0.GA",
>  "org.hibernate:hibernate-commons-annotations:jar:3.3.0.ga",
>  "org.hibernate:hibernate-search:jar:3.1.0.GA",
>  "org.hibernate:hibernate-ehcache:jar:3.3.2.GA",
>  "org.hibernate:jtidy-r8:jar:20060801",
>  'c3p0:c3p0:jar:0.9.1.2',
>  'commons-collections:commons-collections:jar:3.2.1',
>  'commons-lang:commons-lang:jar:2.4',
>  'net.sf.ehcache:ehcache:jar:1.6.2',
> 'javax.persistence:persistence-api:jar:1.0']
> LUCENE        = ["org.apache.lucene:lucene-core:jar:2.4.1",
> "org.apache.lucene:lucene-analyzers:jar:2.4.1",
> "org.apache.lucene:lucene-snowball:jar:2.4.1" ]
> SPRING        = [ "org.springframework:spring-beans:jar:2.5.6",
>  "org.springframework:spring-context:jar:2.5.6",
>  "org.springframework:spring-context-support:jar:2.5.6",
>  "org.springframework:spring-core:jar:2.5.6",
>  "org.springframework:spring-jdbc:jar:2.5.6",
>  "org.springframework:spring-orm:jar:2.5.6",
>  "org.springframework:spring-dao:jar:2.0.8",
>  "org.springframework:spring-web:jar:2.5.6",
>  "org.springframework:spring-webmvc:jar:2.5.6",
>  "org.springframework:spring-jms:jar:2.5.6",
>  "org.springframework:spring-aop:jar:2.5.6",
> "aopalliance:aopalliance:jar:1.0",]
> COMMONS       = [ "commons-httpclient:commons-httpclient:jar:3.1",
>  "commons-fileupload:commons-fileupload:jar:1.2.1",
>  "commons-codec:commons-codec:jar:1.4",
>  "commons-io:commons-io:jar:1.4",
> "commons-discovery:commons-discovery:jar:0.4" ]
> SCRIPTING     = [
> "org.python:jython:jar:2.2-rc3","org.jruby:jruby-complete:jar:1.3.1","org.apache.bsf:bsf-all:jar:3.0-beta3",
> "rhino:js:jar:1.7R2"]
> LOGGING       = [ "log4j:log4j:jar:1.2.15",
> "org.slf4j:slf4j-api:jar:1.5.8", "org.slf4j:slf4j-simple:jar:1.5.8",
> "commons-logging:commons-logging:jar:1.1.1"]
> CONTENT_PARSER= [ "com.google.code.gson:gson:jar:1.1",
> "dom4j:dom4j:jar:1.6.1", "org.htmlparser:htmlparser:jar:1.6",
> "jaxen:jaxen:jar:1.1.1", "org.apache.poi:poi:jar:3.2-FINAL",
> "pdfbox:pdfbox:jar:0.7.3", "com.lowagie:itext:jar:2.0.6",
> "com.drewnoakes:metadata-extractor:jar:2.4.0-beta-1" ]
> QUARTZ        = "org.opensymphony.quartz:quartz:jar:1.6.1"
> J2EE_API      = [ "javax.jms:jms:jar:1.1",
> "javax.servlet:servlet-api:jar:2.4" ]
> JFREE_CHART   = [ "jfree:jfreechart:jar:1.0.12"]
> SOAP          = [ "wsdl4j:wsdl4j:jar:1.5.2",
> "org.apache.axis:axis:jar:1.4", "org.apache.axis:axis-jaxrpc:jar:1.4"]
> JAVASSIST     = "javassist:javassist:jar:3.4.GA"
> XALAN         = "xalan:xalan:jar:2.7.1"
>
> # now lets do some work
> platforms = ["mysql", "oracle", "mssql", "db2"]
> platform = "mysql"
> desc 'Enterprise Content Governance Platform'
> define 'ContentMigrator' do
>  project.version = VERSION_NUMBER
>  project.group = 'com.vamosa'
>  manifest['Copyright'] = 'Vamosa Ltd. (C) 2003-2009'
>  compile.options.target = '1.5'
>  compile.with HIBERNATE, SPRING, COMMONS, LOGGING, CONTENT_PARSER, QUARTZ,
> J2EE_API, SCRIPTING, SOAP, JFREE_CHART, JAVASSIST, LUCENE, XALAN
>  test.exclude '*'
>  test.with XUNIT, SCALATEST
>  test.using :specs
>
>  # get all the important components from the Rails GUI into the staging
> directory
>  Dir.chdir("rails") do
>    puts "Changed current directory to: #{Dir.pwd}"
>    warble_cfg = eval(File.open("config/warble.rb") {|f| f.read})
>    Warbler::Task.new(:war, warble_cfg)
>    Rake::Task['war:app'].invoke
>    puts "war:app executed"
>    Rake::Task['war:public'].invoke
>    puts "war:public executed"
>  end
>  puts "Changed current directory to: #{Dir.pwd}"
>
>  # package it up
>  package(:war, :file =>
> _("target/#{id}-#{VERSION_NUMBER}-#{platform}.war")).tap do |task|
>    puts task
>    task.include 'war/*'
>    task.include "src/main/resources/#{platform}.session-factory.xml",
> :as=>'WEB-INF/session-factory.xml'
>    task.include 'src/main/resources/jboss.jms-context.xml',
> :as=>'WEB-INF/jms-context.xml'
>  end
> end
>
>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message